Create a Contact Address
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactAddress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<integer>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"setAsPrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
label: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
setAsPrimary: '<boolean>',
startMonth: '<integer>',
startDay: '<integer>',
endMonth: '<integer>',
endDay: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactAddress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactAddress"
payload = {
"contactId": "<integer>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"setAsPrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactAddress");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactId\": \"<integer>\",\n \"label\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"setAsPrimary\": \"<boolean>\",\n \"startMonth\": \"<integer>\",\n \"startDay\": \"<integer>\",\n \"endMonth\": \"<integer>\",\n \"endDay\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactAddress",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactId' => '<integer>',
'label' => '<string>',
'address1' => '<string>',
'address2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postal' => '<string>',
'country' => '<string>',
'setAsPrimary' => '<boolean>',
'startMonth' => '<integer>',
'startDay' => '<integer>',
'endMonth' => '<integer>',
'endDay' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactAddress")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactId\": \"<integer>\",\n \"label\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"setAsPrimary\": \"<boolean>\",\n \"startMonth\": \"<integer>\",\n \"startDay\": \"<integer>\",\n \"endMonth\": \"<integer>\",\n \"endDay\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactAddress")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactId\": \"<integer>\",\n \"label\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"setAsPrimary\": \"<boolean>\",\n \"startMonth\": \"<integer>\",\n \"startDay\": \"<integer>\",\n \"endMonth\": \"<integer>\",\n \"endDay\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactAddress';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
label: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
setAsPrimary: '<boolean>',
startMonth: '<integer>',
startDay: '<integer>',
endMonth: '<integer>',
endDay: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 400123,
"label": "Home",
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97478",
"country": "United States",
"isPrimary": true,
"canBePrimary": true,
"startMonth": null,
"startDay": null,
"endMonth": null,
"endDay": null,
"createDateTimeUtc": "2025-11-15T18:00:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contact Addresses
Create a Contact Address
POST
/
api
/
ContactAddress
Create a Contact Address
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactAddress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<integer>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"setAsPrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
label: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
setAsPrimary: '<boolean>',
startMonth: '<integer>',
startDay: '<integer>',
endMonth: '<integer>',
endDay: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactAddress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactAddress"
payload = {
"contactId": "<integer>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"setAsPrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactAddress");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactId\": \"<integer>\",\n \"label\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"setAsPrimary\": \"<boolean>\",\n \"startMonth\": \"<integer>\",\n \"startDay\": \"<integer>\",\n \"endMonth\": \"<integer>\",\n \"endDay\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactAddress",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactId' => '<integer>',
'label' => '<string>',
'address1' => '<string>',
'address2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postal' => '<string>',
'country' => '<string>',
'setAsPrimary' => '<boolean>',
'startMonth' => '<integer>',
'startDay' => '<integer>',
'endMonth' => '<integer>',
'endDay' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactAddress")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactId\": \"<integer>\",\n \"label\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"setAsPrimary\": \"<boolean>\",\n \"startMonth\": \"<integer>\",\n \"startDay\": \"<integer>\",\n \"endMonth\": \"<integer>\",\n \"endDay\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactAddress")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactId\": \"<integer>\",\n \"label\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"setAsPrimary\": \"<boolean>\",\n \"startMonth\": \"<integer>\",\n \"startDay\": \"<integer>\",\n \"endMonth\": \"<integer>\",\n \"endDay\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactAddress';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
label: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
setAsPrimary: '<boolean>',
startMonth: '<integer>',
startDay: '<integer>',
endMonth: '<integer>',
endDay: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 400123,
"label": "Home",
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97478",
"country": "United States",
"isPrimary": true,
"canBePrimary": true,
"startMonth": null,
"startDay": null,
"endMonth": null,
"endDay": null,
"createDateTimeUtc": "2025-11-15T18:00:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on April 23, 2026
Was this page helpful?